@srvname_upper@(1)

NAME
@srvname@ - Drawpile server

SYNOPSIS
@srvname@ [OPTIONS]

DESCRIPTION
A standalone server for Drawpile.

OPTIONS

--help, -h
    show help text

--version, -v
    prints program version number @gui_section@

--port, -p port
    listen on the specified port instead of the default.

--listen, -l address
    bind to the specified address. If no listening address is specified, drawpile-srv will listen on all addresses.

--local-host hostname
    local server hostname to use in session announcement

--announce-port port
    local server hostname to use in session announcement

--ssl-cert cert.pem
    select SSL certificate file.

--ssl-key key.pem
    select SSL private key file. This must be used together with --ssl-cert to enable SSL support.

--record, -r filename pattern
    record sessions to files. Placeholders in the filename pattern will be expanded to generate the actual filename. If a directory is given, a default filename pattern will be used. The placeholders %d (date), %t (time) and %i (session ID) are supported. @webadmin_section@

--database path
    the configuration database to use

--config, -c path
    the configuration file to use. Mutually exclusive with --database.

--sessions path
    where to store file backed sessions. If not specified, sessions are kept in memory.

--templates, -t path
    where to look for session templates @sodium_section@

--report-url url
    abuse report handler URL

SOCKET ACTIVATION
Drawpile-srv supports systemd socket activation. When the server is started by systemd and a socket is passed, the parameters
    --listen, --port and --web-admin-port are ignored. The listening address must be configured in drawpile-srv.socket unit file. If two sockets are passed, the second one will be used for the web admin API.

AUTHOR
Written by Calle Laakkonen <laakkonenc@gmail.com> and Drawpile contributors.

COPYRIGHT
Copyright © Calle Laakkonen <laakkonenc@gmail.com> and Drawpile contributors
This is Free Software; this software is licensed under the GPL version 3, as published by the Free Software Foundation. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.